.app-table-grid {
  .mat-column-select {
    // adjust the styling for the select column so that its overflow is not hidden. This allows the ripple effect to extend beyond the cell.
    overflow: initial;
  }

  .mat-row {

    // border-width: 2px;
    &.selected {
      background-color: $selectedRowBgColor;
    }

    &:hover {
      box-shadow: inset 1px 0 0 #dadce0, inset -1px 0 0 #dadce0, 0 1px 2px 0 rgba(60, 64, 67, .3), 0 1px 3px 1px rgba(60, 64, 67, .15)
    }
  }

  // mat-header-row {
  //   border-bottom: 1px solid #9E9E9E;
  // }

  .mat-header-cell {
    font-weight: bold;
    color: $app-accent-mat-color;
  }

  .btn-header-cell-title {
    margin-left: 21px; //as per button pad+margin
  }
}

.mat-row-table-empty {
  background-color: white;

  .mat-cell {
    font-style: italic;
    // font-size: 16px; 
    // color: $app-primary-mat-color;

    &.generic-empty-message-text:before {
      content: 'No records found';
    }
  }

}

.has-mat-table-below {
  padding: 0 24px;
  font-size: 14px;
  margin-bottom: -15px;
}

.add-new-row {
  justify-content: center;
}

.mat-cell,
.mat-header-cell {
  &.flex-xs {
    flex: 0 0 70px !important;
  }

  &.flex-sm {
    flex: 0 0 130px;
  }

  &.flex-md {
    flex: 0 0 180px;
  }

  &.flex-lg {
    flex: 0 0 200px;
  }
}

//below class copied as it is to use mat-table style as static html table
.copyof-mat-table-style {
  .mat-table {
    display: block;
  }

  .mat-row,
  .mat-header-row {
    display: flex;
    border-bottom-width: 1px;
    border-bottom-style: solid;
    align-items: center;
    min-height: 48px;
    padding: 0 24px;
  }

  .mat-cell,
  .mat-header-cell {
    flex: 1;
    overflow: hidden;
    word-wrap: break-word;
  }

  .mat-header-cell {
    font-weight: bold;
  }
}

.table-element-as-mat {
  font-family: Roboto, "Helvetica Neue", sans-serif;
  color: rgba(0, 0, 0, 0.87);
  border-collapse: collapse;
  // padding: 0 24px;//padding wont work due to collapse border rule
  width: 100%;

  tr {
    border-bottom-width: 1px;
    border-bottom-style: solid;
    border-bottom-color: rgba(0, 0, 0, 0.12);
  }

  th {
    padding: 12px 0;
    font-size: 14px;
    font-weight: bold;
    text-align: left;
    word-wrap: break-word;
  }

  th:first-child, td:first-child{
    padding-left: 20px;
  }
  th:last-child, td:last-child{
    padding-right: 20px;
  }

  td {
    font-size: 14px;
  }
  
  button.mat-button{
    line-height: 30px;
    min-width: 70px;
  }
  .no-record-row{
    height: 30px;
    font-style: italic;
  }
}
